#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table/include/Pattern_History_Table.h"

namespace morpheo                    {
namespace behavioural {
namespace stage_1_ifetch {
namespace predictor {
namespace meta_predictor {
namespace two_level_branch_predictor {
namespace pattern_history_table {

  string Pattern_History_Table::statistics (uint32_t depth)
  {
    log_printf(FUNC,Pattern_History_Table,"statistics","Begin");

    string stat_print = _stat->print(depth,
				     component_Counter     ->statistics(depth+1) + 
				     component_RegisterFile->statistics(depth+1)
				     );

    log_printf(FUNC,Pattern_History_Table,"statistics","End");

    return stat_print;
      
  };

}; // end namespace pattern_history_table
}; // end namespace two_level_branch_predictor
}; // end namespace meta_predictor
}; // end namespace predictor
}; // end namespace stage_1_ifetch
}; // end namespace behavioural
}; // end namespace morpheo              
#endif
